# Quick Purchase order

This module allows to add easily products into the purchase order (mass line add/update).

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Inside a purchase order, you can click on “Add products”, to open a product tree view, then update “qty to purchase” field.

The update of “qty to purchase” will add new purchase line or update the existing line. If qty to purchase is 0 it purchase line will deleted if it exists.

# Known issues / Roadmap

A note on dependencies: this module depends on stock. Mainly, for displaying qty_available of a product. To avoid this dependency, this module could be split.

Compatibility note: purchase_order_type could be compatible as far as functionality goes, but not for tests (adding a new required field breaks our usage of Form).

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Akretion

## Contributors

- Sébastien BEAU <sebastien.beau@akretion.com>
- Mourad EL HADJ MIMOUNE <mourad.elhadj.mimoune@akretion.com>
- Pierrick Brun <pierrick.brun@akretion.com>
- Kevin Khao <kevin.khao@akretion.com>
- Sygel:
  - Ángel García de la Chica Herrera <angel.garcia@sygel.es>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/purchase-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.